import { CatalogManager as BaseCatalogManager } from "@intelligentgraphics/igd.productdata";
import { Data } from "./File";
export interface CatalogManagerSettings {
    file: Data;
}
export declare class CatalogManager extends BaseCatalogManager {
    static Create(settings: CatalogManagerSettings): Promise<CatalogManager>;
    constructor(settings: CatalogManagerSettings);
    getClassName(): string;
}
